## gate.gui
Class SerialControllerEditor.CorporaComboModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--gate.gui.SerialControllerEditor.CorporaComboModel

All Implemented Interfaces:
  ComboBoxModel, ListModel, Serializable

Enclosing class:
  SerialControllerEditor

protected class SerialControllerEditor.CorporaComboModel
extends AbstractListModel
implements ComboBoxModel

A model for a combobox containing the loaded corpora in the system

See Also:
  Serialized Form

Field Summary
`(package private) Object` `selectedItem`

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`protected` `SerialControllerEditor.CorporaComboModel()`

Method Summary
`(package private) void` `fireDataChanged()`
`Object` `getElementAt(int index)`
`Object` `getSelectedItem()`
`int` `getSize()`
`void` `setSelectedItem(Object anItem)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Field Detail

### selectedItem

    Object selectedItem

Constructor Detail

### SerialControllerEditor.CorporaComboModel

    protected SerialControllerEditor.CorporaComboModel()

Method Detail

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `ListModel`
  Overrides:
    `getSize` in class `AbstractListModel`

### getElementAt

    public Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `ListModel`
  Overrides:
    `getElementAt` in class `AbstractListModel`

### setSelectedItem

    public void setSelectedItem(Object anItem)

  Specified by:
    `setSelectedItem` in interface `ComboBoxModel`

### getSelectedItem

    public Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `ComboBoxModel`

### fireDataChanged

    void fireDataChanged()